AnsweredAssumed Answered

install 3.4.c fails - springframework weirdness?

Question asked by mbailen on Feb 1, 2011
I'm trying to install Alfresco community 3.4.c on Postgres/Glassfish.  I have a few modules complied with the sdk.  I had no problems with 3.3.  The logs complain about being unable to find a bean named 'clusterPropertySetter'.  The error I am getting is:

[#|2011-02-01T10:35:16.346-0700|SEVERE|sun-appserver2.1|javax.enterprise.system.container.web|_ThreadID=17;_ThreadName=httpWorkerThread-4848-0;_RequestID=85442a4a-f7a3-4d56-aca7-35a9b576bc0b;|WebModule[/alfresco]PWC1275: Exception sending context initialized event to listener instance of class org.alfresco.web.app.ContextListener
org.springframework.beans.factory.NoSuchBeanDefinitionException: No bean named 'clusterPropertySetter' is defined
        at org.springframework.beans.factory.support.DefaultListableBeanFactory.getBeanDefinition(DefaultListableBeanFactory.java:504)
        at org.springframework.beans.factory.support.AbstractBeanFactory.getMergedLocalBeanDefinition(AbstractBeanFactory.java:1041)
        at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:273)
        at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:189)
        at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:280)


Any ideas?

Outcomes